Mailboxes

Get mailbox connect session

Returns mailbox connect session status (pending, completed, expired, or failed).

GET/v1/mailboxes/connect-sessions/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Use an account API key in the Authorization header: Authorization: Bearer f_....

In: header

Path Parameters

idstring

Mailbox connect session id.

Formatuuid
curl -X GET "https://example.com/v1/mailboxes/connect-sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "pending",    "expires_at": "2019-08-24T14:15:22Z",    "mailbox_id": "4d23d1af-2eef-4598-a5e0-1f19ae0b0c14",    "connect_url": "http://example.com",    "error_message": "string"  }}
{  "error": {    "type": "authentication_error",    "code": "invalid_api_key",    "message": "A valid Furnace API key is required"  }}
{  "error": {    "type": "invalid_request_error",    "code": "campaign_not_found",    "message": "Campaign not found"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limit_exceeded",    "message": "Rate limit exceeded for this account"  }}
{  "error": {    "type": "api_error",    "code": "internal_error",    "message": "Internal server error"  }}